> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/java/java-sdks.md).

# Java SDKs

Use the IONOS Cloud Java SDKs to build Java apps on IONOS Cloud. Each SDK is available on Maven Central.

### Available Java SDKs

#### Core Infrastructure

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>Cloud API Java SDK</strong></mark></td><td>Manage compute, networking, and storage</td><td><a href="/spaces/-MUOjRYzZDMOe8N1Sjb9-3956399747">/spaces/-MUOjRYzZDMOe8N1Sjb9-3956399747</a></td></tr></tbody></table>

#### Database

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>DBaaS Mongo Java SDK</strong></mark></td><td>Provision and manage MongoDB clusters</td><td><a href="/spaces/02d9zmQRDOSe16EmUhUB">/spaces/02d9zmQRDOSe16EmUhUB</a></td></tr><tr><td><mark style="color:blue;"><strong>DBaaS Postgres Java SDK</strong></mark></td><td>Provision and manage PostgreSQL clusters</td><td><a href="/spaces/QrYa6RYxx5nsHC9p5p5W">/spaces/QrYa6RYxx5nsHC9p5p5W</a></td></tr><tr><td><mark style="color:blue;"><strong>MariaDB SDK Java</strong></mark></td><td>Provision and manage MariaDB clusters</td><td><a href="/spaces/r3TpTtLe2olfIPMz0I9S">/spaces/r3TpTtLe2olfIPMz0I9S</a></td></tr></tbody></table>

#### Containers

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>Container Registry Java SDK</strong></mark></td><td>Manage container registries and image repositories</td><td><a href="/spaces/27JzDsjGWjmmyROf27Up">/spaces/27JzDsjGWjmmyROf27Up</a></td></tr></tbody></table>

#### Security

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>Certificate Manager Java SDK</strong></mark></td><td>Manage TLS/SSL certificates</td><td><a href="/spaces/z09I0mjOZe9OaHE0rToX">/spaces/z09I0mjOZe9OaHE0rToX</a></td></tr></tbody></table>

### Quick Start

Add the SDK to your Maven project:

```xml
<dependency>
    <groupId>com.ionoscloud</groupId>
    <artifactId>ionos-cloud-sdk</artifactId>
    <version>LATEST</version>
</dependency>
```

Or with Gradle:

```groovy
implementation 'com.ionoscloud:ionos-cloud-sdk:LATEST'
```

Set up a client:

```java
import com.ionoscloud.ApiClient;
import com.ionoscloud.Configuration;

ApiClient client = Configuration.getDefaultApiClient();
client.setUsername(System.getenv("IONOS_USERNAME"));
client.setPassword(System.getenv("IONOS_PASSWORD"));
```

Use a token instead:

```java
HttpBearerAuth tokenAuth =
    (HttpBearerAuth) client.getAuthentication("Token Authentication");
tokenAuth.setBearerToken(System.getenv("IONOS_TOKEN"));
```

### Authentication

All Java SDKs use the same credentials. Store them in environment variables and keep them out of your source code.

```bash
export IONOS_USERNAME=your@email.com
export IONOS_PASSWORD=yourpassword

# Use a token for CI/CD:
export IONOS_TOKEN=your_api_token
```

### GitHub Repositories

All Java SDKs are open source on GitHub under [ionos-cloud](https://github.com/ionos-cloud). Product SDKs follow the pattern `ionos-cloud-sdk-{service}`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/java/java-sdks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
